org.eclipse.microprofile.opentracing.tck.rest.client

## Interface ClientServices

    @Path(value="/")
    public interface ClientServices

Author:
  Pavol Loffay

### Method Summary

All Methods Instance Methods Abstract Methods
`jakarta.ws.rs.core.Response` `disabledTracing()`
`jakarta.ws.rs.core.Response` `executeNested(int nestDepth, int nestBreadth, boolean async, String uniqueID, boolean failNest)`
`CompletionStage<jakarta.ws.rs.core.Response>` `executeNestedAsync(int nestDepth, int nestBreadth, boolean async, String uniqueID, boolean failNest)`

### Method Detail

#### executeNested

    @GET
     @Path(value="nestedMpRestClient")
     @Produces(value="text/plain")
    jakarta.ws.rs.core.Response executeNested(@QueryParam(value="nestDepth")
                                                                                                                     int nestDepth,
                                                                                                                     @QueryParam(value="nestBreadth")
                                                                                                                     int nestBreadth,
                                                                                                                     @QueryParam(value="async")
                                                                                                                     boolean async,
                                                                                                                     @QueryParam(value="data")
                                                                                                                     String uniqueID,
                                                                                                                     @QueryParam(value="failNest")
                                                                                                                     boolean failNest)

#### executeNestedAsync

    @GET
     @Path(value="nestedMpRestClient")
     @Produces(value="text/plain")
    CompletionStage<jakarta.ws.rs.core.Response> executeNestedAsync(@QueryParam(value="nestDepth")
                                                                                                                                           int nestDepth,
                                                                                                                                           @QueryParam(value="nestBreadth")
                                                                                                                                           int nestBreadth,
                                                                                                                                           @QueryParam(value="async")
                                                                                                                                           boolean async,
                                                                                                                                           @QueryParam(value="data")
                                                                                                                                           String uniqueID,
                                                                                                                                           @QueryParam(value="failNest")
                                                                                                                                           boolean failNest)

#### disabledTracing

    @GET
     @Traced(value=false)
     @Path(value="simpleTest")
     @Produces(value="text/plain")
    jakarta.ws.rs.core.Response disabledTracing()